org.apache.ode.daohib.bpel

## Class BpelDAOConnectionFactoryImpl

- java.lang.Object
- - org.apache.ode.daohib.bpel.BpelDAOConnectionFactoryImpl

- All Implemented Interfaces:
    BpelDAOConnectionFactory, BpelDAOConnectionFactoryJDBC

      public class BpelDAOConnectionFactoryImpl
      extends java.lang.Object
      implements BpelDAOConnectionFactoryJDBC

  Hibernate-based `BpelDAOConnectionFactory` implementation.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SessionManager` | `_sessionManager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BpelDAOConnectionFactoryImpl()` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected SessionManager` | `createSessionManager(java.util.Properties properties, javax.sql.DataSource ds, javax.transaction.TransactionManager tm)`
    `BpelDAOConnection` | `getConnection()` Create a JTA transaction-aware state store connection to an the state store.
    `javax.sql.DataSource` | `getDataSource()`
    `void` | `init(java.util.Properties initialProps)` Initializes connection factory with properties required to establish a connection.
    `void` | `setDataSource(javax.sql.DataSource ds)` Set the managed data source (transactions tied to transaction manager).
    `void` | `setTransactionManager(java.lang.Object tm)` Set the transaction manager.
    `void` | `setUnmanagedDataSource(javax.sql.DataSource ds)` Set the unmanaged data source.
    `void` | `shutdown()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _sessionManager

          protected SessionManager _sessionManager

  - ### Constructor Detail

    - #### BpelDAOConnectionFactoryImpl

          public BpelDAOConnectionFactoryImpl()

      Constructor.

  - ### Method Detail

    - #### getConnection

          public BpelDAOConnection getConnection()

      Description copied from interface: `BpelDAOConnectionFactory`
      Create a JTA transaction-aware state store connection to an the state store. The state store must have previously been created in order for this method to be succesful.
      Specified by:
        `getConnection` in interface `BpelDAOConnectionFactory`
      Returns:
        a `BpelDAOConnection` connection object to the state store.

    - #### init

          public void init(java.util.Properties initialProps)

      Description copied from interface: `BpelDAOConnectionFactory`
      Initializes connection factory with properties required to establish a connection.
      Specified by:
        `init` in interface `BpelDAOConnectionFactory`
      See Also:
        `BpelDAOConnectionFactory.init(java.util.Properties)`

    - #### createSessionManager

          protected SessionManager createSessionManager(java.util.Properties properties,
                                            javax.sql.DataSource ds,
                                            javax.transaction.TransactionManager tm)

    - #### shutdown

          public void shutdown()

      Specified by:
        `shutdown` in interface `BpelDAOConnectionFactory`

    - #### setDataSource

          public void setDataSource(javax.sql.DataSource ds)

      Description copied from interface: `BpelDAOConnectionFactoryJDBC`
      Set the managed data source (transactions tied to transaction manager).
      Specified by:
        `setDataSource` in interface `BpelDAOConnectionFactoryJDBC`

    - #### getDataSource

          public javax.sql.DataSource getDataSource()

      Specified by:
        `getDataSource` in interface `BpelDAOConnectionFactory`

    - #### setTransactionManager

          public void setTransactionManager(java.lang.Object tm)

      Description copied from interface: `BpelDAOConnectionFactoryJDBC`
      Set the transaction manager.
      Specified by:
        `setTransactionManager` in interface `BpelDAOConnectionFactoryJDBC`

    - #### setUnmanagedDataSource

          public void setUnmanagedDataSource(javax.sql.DataSource ds)

      Description copied from interface: `BpelDAOConnectionFactoryJDBC`
      Set the unmanaged data source.
      Specified by:
        `setUnmanagedDataSource` in interface `BpelDAOConnectionFactoryJDBC`